Bug 167564 - CC and most database options don't work for databases without a schema
CC and most database options don't work for databases without a schema
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 22:06 UTC by athompson
Modified: 2011-10-20 14:31 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Services window after connecting to the DB (17.61 KB, image/png)
2009-06-23 22:07 UTC, athompson
Details
error dialog when trying to invoke the 'View Data' context menu (5.45 KB, image/png)
2009-06-23 22:09 UTC, athompson
Details
the 'Insert Records' dialog creates incorrect code (15.48 KB, image/png)
2009-06-23 22:10 UTC, athompson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description athompson 2009-06-23 22:06:15 UTC
some databases don't have a concept of a schema (for example, SQLite).  attempting to use most of the database functions
in 6.7RC3 causes errors as the code is (i imagine) hard-wired to expect a schema present.  AFAIK a schema is not
required of the JDBC driver, and the SQLite driver doesn't supply one.

for example, once i add the driver, i can connect to the SQLite database well enough (first attachment), but if i try to
use the context menu to view the contents of a table i get an obscure error dialog (second attachment).

using the 'Execute Command' context menu, i can use the SQL editor to manually enter queries, but interacting with the
results is also impossible.  for example, if i click the 'Insert Records' button, the generated code is incorrect (third
attachment).

most importantly, CC doesn't work at all, and attempting to invoke it causes the CPU to permanently jump to 100% (hence
the P1).

incidentally, the generated code also needs to quote column names, as they may also be a keyword.
Comment 1 athompson 2009-06-23 22:07:15 UTC
Created attachment 83961 [details]
Services window after connecting to the DB
Comment 2 athompson 2009-06-23 22:09:34 UTC
Created attachment 83962 [details]
error dialog when trying to invoke the 'View Data' context menu
Comment 3 athompson 2009-06-23 22:10:59 UTC
Created attachment 83963 [details]
the 'Insert Records' dialog creates incorrect code
Comment 4 athompson 2009-06-23 22:17:15 UTC
you can download a stand-alone SQLite driver from here:
http://files.zentus.com/sqlitejdbc/sqlitejdbc-v056.jar
Comment 5 Marian Mirilovic 2009-06-24 10:00:01 UTC
this is not a stopper for NB 6.7 -> decreasing the priority
Comment 6 Jiri Rechtacek 2009-07-14 16:27:54 UTC
core-main/rev/8d4084347247
Comment 7 Quality Engineering 2009-07-15 07:25:09 UTC
Integrated into 'main-golden', will be available in build *200907150249* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5e22608e1e6b
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #167564: CC and most database options don't work for databases without a schema
Comment 8 athompson 2009-07-17 20:34:43 UTC
yup
Comment 9 athompson 2009-07-17 20:36:32 UTC
whoops.  CC still isn't working...
Comment 10 athompson 2009-07-17 20:38:04 UTC
perhaps it just hasn't migrated into the daily builds on the site.  how long should that take?
Comment 11 Jiri Rechtacek 2009-07-21 15:58:32 UTC
It's true. The previous fixed the fatal problem while using DB w/ schema, but CC was still not working. The fix should
fix CC too: core-main/rev/508c41bf7ef8
Comment 12 Quality Engineering 2009-07-23 07:47:11 UTC
Integrated into 'main-golden', will be available in build *200907230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/508c41bf7ef8
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #167564: CC don't work for databases without a schema
Comment 13 athompson 2009-07-23 17:02:44 UTC
yup!
Comment 14 Quality Engineering 2011-10-20 14:31:18 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/3a3f7510183c
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #200783 - Endless loop in command completion when quoteString = "" (Bugs: #179413, #167564);
applied matthias42's patch, thanks


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo